org.modeshape.jcr

## Class RepositoryIndexes

- java.lang.Object
- - org.modeshape.jcr.RepositoryIndexes

-     @Immutable
      public abstract class RepositoryIndexes
      extends Object

  An immutable set of `IndexDefinition` instances describing all of the currently available indexes.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RepositoryIndexes` | `NO_INDEXES` A `RepositoryIndexes` implementation that contains no indexes.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepositoryIndexes()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Map<String,IndexDefinition>` | `getIndexDefinitions()` Get a map of the registered index definitions keyed by their names.
    `abstract boolean` | `hasIndexDefinitions()` Determine whether there is at least one index definition for the repository.
    `abstract Iterable<IndexDefinition>` | `indexesFor(String nodeTypeName, String providerName)` Get all of the index definitions that deal with properties on the node type with the given name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NO_INDEXES

          public static final RepositoryIndexes NO_INDEXES

      A `RepositoryIndexes` implementation that contains no indexes.

  - ### Constructor Detail

    - #### RepositoryIndexes

          public RepositoryIndexes()

  - ### Method Detail

    - #### hasIndexDefinitions

          public abstract boolean hasIndexDefinitions()

      Determine whether there is at least one index definition for the repository.
      Returns:
        true if there is at least one index definition, or false if there are none

    - #### getIndexDefinitions

          public abstract Map<String,IndexDefinition> getIndexDefinitions()

      Get a map of the registered index definitions keyed by their names.
      Returns:
        the index definitions; never null but possibly empty

    - #### indexesFor

          public abstract Iterable<IndexDefinition> indexesFor(String nodeTypeName,
                                             String providerName)

      Get all of the index definitions that deal with properties on the node type with the given name. Note that the result will implicitly include all indexes defined on the named node type or subtypes of the named node type.
      Parameters:
        `nodeTypeName` - the name of the node type for which the indexes are to be obtained; may not be null
        `providerName` - the name of the provider that owns the indexes; may not be null
      Returns:
        the iterable collection of index definitions; may be null or empty if there are none

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.